import java.io.*;
import java.util.*;

// Version 1.0 Stable

public class TestsGen {

    static int done = 0;

    static final Random rand = new Random(556668949239L);

    static final int MAX_N = 12;

    static class Coin {
	int id, type;

	public Coin(int id, int type) {
	    super();
	    this.id = id;
	    this.type = type;
	}

	@Override
	public String toString() {
	    return id + " " + type;
	}

    }

    static ArrayList<Coin> data = new ArrayList<Coin>();

    static void print(Coin coin) throws IOException {
	done++;
	System.err.println(done);
	PrintWriter out;
	if (done < 10)
	    out = new PrintWriter("../tests/0" + String.valueOf(done));
	else
	    out = new PrintWriter("../tests/" + String.valueOf(done));
	out.println(coin);
	out.close();
    }

    public static void main(String[] args) throws IOException {
	boolean f = new File("../tests").mkdir();
	print(new Coin(1, -1));
	data.add(new Coin(1, 1));
	for (int i = 2; i < 13; i++)
	    for (int j = -1; j < 2; j++)
		if (j == 0)
		    continue;
		else
		    data.add(new Coin(i, j));
	Collections.shuffle(data, rand);
	for (Coin coin : data)
	    print(coin);

	return;
    }
}
